Documentation Index
Fetch the complete documentation index at: https://docs.pdf.co/llms.txt
Use this file to discover all available pages before exploring further.

Input
| Name | Description | Required |
|---|---|---|
| PDF URL | Provide the URL of the source PDF document or a filetoken:// link from PDF.co Built-In Files Storage. For cloud services like Google Drive or Dropbox, ensure the link is publicly accessible without a password. | Yes |
| Extract Fillable Fields | Enable this option (true) to extract information about fillable fields in the PDF form. | No |
| Custom Profiles | A JSON string which adds options for the conversion process. See Custom Profiles for more. | No |
Source PDF URL & Google
When using Google Drive, it’s typically recommended to choose the File option. For more advanced file integration techniques, see Integrating File Sources with pdf.co.

Output
| Name | Description |
|---|---|
info | An object containing the PDF information such as Title, PageCount, Author, Subject, CreationDate, etc. It also contains the FormField object array in case we have the Extract Fillable Fields property enabled. |
SimplifiedFieldsData.field_1 | An Object containing form field information such as FieldName, Value, Type, AltFieldName and PageIndex. Please note: this output object will only produced if input is configured for Extract Fillable Fields. |
SimplifiedFieldsData.field_2 | An object holding another form field information, following the same pattern as SimplifiedFieldsData.field_1 for each output file. |
error | Details of any errors (if any). |
status | The response status code. If all good this will be 200. |
jobId | The unique identifier for the job. |
credits | The credits spent on the process. |
remainingCredits | The credits left on your account. |
duration | The time it took for the process. |
Custom profiles
Use Custom Profiles to enhance your workflow with additional processing options. EnterJSON configuration to customize OCR settings, output format, text extraction methods, and more.

Sample JSON
| Parameter | Type | Default | Description |
|---|---|---|---|
OCRMode | string | Auto | Specifies how OCR (Optical Character Recognition) should process input content, offering various modes to tailor text extraction based on content type such as images, fonts, and vector graphics. For more information, see OCR Extraction Modes. |
OCRResolution | integer | 300 | Use this parameter to change the OCR resolution from the default 300 dpi. The range is from 72 to 1200 dpi. |
RotationAngle | integer | - | Use manual rotation to handle PDFs with vertically drawn text. Normally, OCR automatically detects page rotation in PDFs and extracts text accurately. However, in some cases, the PDF might not have an actual rotated page --- Rather, the text itself is drawn vertically. In such scenarios, auto-detection may fail. You can use this parameter to manually set the page rotation. The available angles are: 0, 1, 2, 3. |
LineGroupingMode | string | None | Controls line grouping in PDF text extraction. Modes: None (no grouping), GroupByRows (merge rows if all cells align), GroupByColumns (merge cells by column), JoinOrphanedRows (merge single-cell rows to above if no separator). |
ConsiderFontColors | boolean | false | Controls whether font colors should be considered when detecting table structure and merging text objects during PDF extraction. Set to true to consider font colors. |
DetectNewColumnBySpacesRatio | string | 1.2 | Controls how spaces between words are interpreted for column detection in PDF text extraction. It defines the ratio of space width that determines when text should be treated as being in separate columns. |
AutoAlignColumnsToHeader | boolean | true | Controls how columns are detected and aligned during table extraction from PDF documents. It affects both table structure detection and text extraction with formatting preservation. Set to true to automatically align columns to the header row. When set to true (default), the row with the most columns is used as the header, and all other rows are aligned to this structure --- ideal for well-structured tables. When set to false, columns are analyzed independently across all rows to build the structure, which works better for inconsistent or irregular tables. |
OCRImagePreprocessingFilters | object | - | Image preprocessing filters for OCR. Refer to OCRImagePreprocessingFilters for usage examples. |
.AddGrayscale | boolean | false | Converts to grayscale before OCR. |
.AddGammaCorrection | array[string (float format)] | [“1.4”] | Adds a gamma correction filter. |
DataEncryptionAlgorithm | string | - | Controls the encryption algorithm used for data encryption. See User-Controlled Encryption for more information. The available algorithms are: AES128, AES192, AES256. |
DataEncryptionKey | string | - | Controls the encryption key used for data encryption. See User-Controlled Encryption for more information. |
DataEncryptionIV | string | - | Controls the encryption IV used for data encryption. See User-Controlled Encryption for more information. |
DataDecryptionAlgorithm | string | - | Controls the decryption algorithm used for data decryption. See User-Controlled Encryption for more information. The available algorithms are: AES128, AES192, AES256. |
DataDecryptionKey | string | - | Controls the decryption key used for data decryption. See User-Controlled Encryption for more information. |
DataDecryptionIV | string | - | Controls the decryption IV used for data decryption. See User-Controlled Encryption for more information. |